---
# Cop supports --autocorrect.
Layout/ArgumentAlignment:
  Exclude:
    - 'app/graphql/mutations/achievements/create.rb'
    - 'app/graphql/mutations/admin/sidekiq_queues/delete_jobs.rb'
    - 'app/graphql/mutations/award_emojis/base.rb'
    - 'app/graphql/mutations/base_mutation.rb'
    - 'app/graphql/mutations/boards/common_mutation_arguments.rb'
    - 'app/graphql/mutations/boards/create.rb'
    - 'app/graphql/mutations/boards/destroy.rb'
    - 'app/graphql/mutations/boards/issues/issue_move_list.rb'
    - 'app/graphql/mutations/boards/lists/base_create.rb'
    - 'app/graphql/mutations/boards/lists/base_update.rb'
    - 'app/graphql/mutations/boards/lists/create.rb'
    - 'app/graphql/mutations/boards/lists/destroy.rb'
    - 'app/graphql/mutations/boards/lists/update.rb'
    - 'app/graphql/mutations/boards/update.rb'
    - 'app/graphql/mutations/branches/create.rb'
    - 'app/graphql/mutations/ci/job/artifacts_destroy.rb'
    - 'app/graphql/mutations/ci/job/base.rb'
    - 'app/graphql/mutations/ci/job/cancel.rb'
    - 'app/graphql/mutations/ci/job/play.rb'
    - 'app/graphql/mutations/ci/job/retry.rb'
    - 'app/graphql/mutations/ci/job/unschedule.rb'
    - 'app/graphql/mutations/ci/job_artifact/destroy.rb'
    - 'app/graphql/mutations/ci/job_token_scope/add_project.rb'
    - 'app/graphql/mutations/ci/job_token_scope/remove_project.rb'
    - 'app/graphql/mutations/ci/pipeline/base.rb'
    - 'app/graphql/mutations/ci/pipeline/retry.rb'
    - 'app/graphql/mutations/ci/pipeline_schedule/base.rb'
    - 'app/graphql/mutations/ci/pipeline_schedule/create.rb'
    - 'app/graphql/mutations/ci/pipeline_schedule/play.rb'
    - 'app/graphql/mutations/ci/pipeline_schedule/take_ownership.rb'
    - 'app/graphql/mutations/ci/pipeline_schedule/update.rb'
    - 'app/graphql/mutations/ci/runner/bulk_delete.rb'
    - 'app/graphql/mutations/ci/runner/delete.rb'
    - 'app/graphql/mutations/ci/runner/update.rb'
    - 'app/graphql/mutations/ci/runners_registration_token/reset.rb'
    - 'app/graphql/mutations/clusters/agent_tokens/create.rb'
    - 'app/graphql/mutations/clusters/agent_tokens/revoke.rb'
    - 'app/graphql/mutations/clusters/agents/create.rb'
    - 'app/graphql/mutations/clusters/agents/delete.rb'
    - 'app/graphql/mutations/commits/create.rb'
    - 'app/graphql/mutations/concerns/mutations/assignable.rb'
    - 'app/graphql/mutations/concerns/mutations/resolves_resource_parent.rb'
    - 'app/graphql/mutations/concerns/mutations/resolves_subscription.rb'
    - 'app/graphql/mutations/concerns/mutations/work_items/update_arguments.rb'
    - 'app/graphql/mutations/container_expiration_policies/update.rb'
    - 'app/graphql/mutations/container_repositories/destroy.rb'
    - 'app/graphql/mutations/container_repositories/destroy_tags.rb'
    - 'app/graphql/mutations/custom_emoji/create.rb'
    - 'app/graphql/mutations/custom_emoji/destroy.rb'
    - 'app/graphql/mutations/customer_relations/contacts/base.rb'
    - 'app/graphql/mutations/customer_relations/contacts/create.rb'
    - 'app/graphql/mutations/customer_relations/contacts/update.rb'
    - 'app/graphql/mutations/customer_relations/organizations/create.rb'
    - 'app/graphql/mutations/customer_relations/organizations/update.rb'
    - 'app/graphql/mutations/dependency_proxy/group_settings/update.rb'
    - 'app/graphql/mutations/dependency_proxy/image_ttl_group_policy/update.rb'
    - 'app/graphql/mutations/design_management/base.rb'
    - 'app/graphql/mutations/design_management/delete.rb'
    - 'app/graphql/mutations/design_management/upload.rb'
    - 'app/graphql/mutations/discussions/toggle_resolve.rb'
    - 'app/graphql/mutations/echo.rb'
    - 'app/graphql/mutations/environments/canary_ingress/update.rb'
    - 'app/graphql/mutations/groups/update.rb'
    - 'app/graphql/mutations/incident_management/timeline_event/base.rb'
    - 'app/graphql/mutations/incident_management/timeline_event/create.rb'
    - 'app/graphql/mutations/incident_management/timeline_event/destroy.rb'
    - 'app/graphql/mutations/incident_management/timeline_event/promote_from_note.rb'
    - 'app/graphql/mutations/incident_management/timeline_event/update.rb'
    - 'app/graphql/mutations/incident_management/timeline_event_tag/base.rb'
    - 'app/graphql/mutations/incident_management/timeline_event_tag/create.rb'
    - 'app/graphql/mutations/issues/base.rb'
    - 'app/graphql/mutations/issues/bulk_update.rb'
    - 'app/graphql/mutations/issues/common_mutation_arguments.rb'
    - 'app/graphql/mutations/issues/create.rb'
    - 'app/graphql/mutations/issues/move.rb'
    - 'app/graphql/mutations/issues/set_confidential.rb'
    - 'app/graphql/mutations/issues/set_crm_contacts.rb'
    - 'app/graphql/mutations/issues/set_due_date.rb'
    - 'app/graphql/mutations/issues/set_escalation_status.rb'
    - 'app/graphql/mutations/issues/set_locked.rb'
    - 'app/graphql/mutations/issues/set_subscription.rb'
    - 'app/graphql/mutations/issues/update.rb'
    - 'app/graphql/mutations/jira_import/import_users.rb'
    - 'app/graphql/mutations/jira_import/start.rb'
    - 'app/graphql/mutations/labels/create.rb'
    - 'app/graphql/mutations/merge_requests/accept.rb'
    - 'app/graphql/mutations/merge_requests/base.rb'
    - 'app/graphql/mutations/merge_requests/create.rb'
    - 'app/graphql/mutations/merge_requests/reviewer_rereview.rb'
    - 'app/graphql/mutations/merge_requests/set_draft.rb'
    - 'app/graphql/mutations/merge_requests/set_labels.rb'
    - 'app/graphql/mutations/merge_requests/set_locked.rb'
    - 'app/graphql/mutations/merge_requests/set_milestone.rb'
    - 'app/graphql/mutations/merge_requests/set_reviewers.rb'
    - 'app/graphql/mutations/merge_requests/set_subscription.rb'
    - 'app/graphql/mutations/merge_requests/update.rb'
    - 'app/graphql/mutations/metrics/dashboard/annotations/delete.rb'
    - 'app/graphql/mutations/namespace/package_settings/update.rb'
    - 'app/graphql/mutations/notes/base.rb'
    - 'app/graphql/mutations/notes/create/base.rb'
    - 'app/graphql/mutations/notes/create/diff_note.rb'
    - 'app/graphql/mutations/notes/create/image_diff_note.rb'
    - 'app/graphql/mutations/notes/create/note.rb'
    - 'app/graphql/mutations/notes/destroy.rb'
    - 'app/graphql/mutations/notes/reposition_image_diff_note.rb'
    - 'app/graphql/mutations/notes/update/base.rb'
    - 'app/graphql/mutations/notes/update/image_diff_note.rb'
    - 'app/graphql/mutations/notes/update/note.rb'
    - 'app/graphql/mutations/packages/bulk_destroy.rb'
    - 'app/graphql/mutations/packages/cleanup/policy/update.rb'
    - 'app/graphql/mutations/packages/destroy.rb'
    - 'app/graphql/mutations/packages/destroy_file.rb'
    - 'app/graphql/mutations/packages/destroy_files.rb'
    - 'app/graphql/mutations/release_asset_links/create.rb'
    - 'app/graphql/mutations/release_asset_links/delete.rb'
    - 'app/graphql/mutations/release_asset_links/update.rb'
    - 'app/graphql/mutations/releases/base.rb'
    - 'app/graphql/mutations/releases/create.rb'
    - 'app/graphql/mutations/releases/delete.rb'
    - 'app/graphql/mutations/releases/update.rb'
    - 'app/graphql/mutations/saved_replies/base.rb'
    - 'app/graphql/mutations/saved_replies/create.rb'
    - 'app/graphql/mutations/saved_replies/destroy.rb'
    - 'app/graphql/mutations/saved_replies/update.rb'
    - 'app/graphql/mutations/snippets/base.rb'
    - 'app/graphql/mutations/snippets/create.rb'
    - 'app/graphql/mutations/snippets/destroy.rb'
    - 'app/graphql/mutations/snippets/mark_as_spam.rb'
    - 'app/graphql/mutations/snippets/update.rb'
    - 'app/graphql/mutations/terraform/state/base.rb'
    - 'app/graphql/mutations/timelogs/base.rb'
    - 'app/graphql/mutations/timelogs/create.rb'
    - 'app/graphql/mutations/timelogs/delete.rb'
    - 'app/graphql/mutations/todos/create.rb'
    - 'app/graphql/mutations/todos/mark_all_done.rb'
    - 'app/graphql/mutations/todos/mark_done.rb'
    - 'app/graphql/mutations/todos/restore.rb'
    - 'app/graphql/mutations/todos/restore_many.rb'
    - 'app/graphql/mutations/uploads/delete.rb'
    - 'app/graphql/mutations/user_callouts/create.rb'
    - 'app/graphql/mutations/user_preferences/update.rb'
    - 'app/graphql/mutations/work_items/create.rb'
    - 'app/graphql/mutations/work_items/create_from_task.rb'
    - 'app/graphql/mutations/work_items/delete.rb'
    - 'app/graphql/mutations/work_items/delete_task.rb'
    - 'app/graphql/mutations/work_items/update.rb'
    - 'app/graphql/mutations/work_items/update_task.rb'
    - 'app/graphql/resolvers/admin/analytics/usage_trends/measurements_resolver.rb'
    - 'app/graphql/resolvers/alert_management/alert_resolver.rb'
    - 'app/graphql/resolvers/alert_management/alert_status_counts_resolver.rb'
    - 'app/graphql/resolvers/alert_management/http_integrations_resolver.rb'
    - 'app/graphql/resolvers/alert_management/integrations_resolver.rb'
    - 'app/graphql/resolvers/blobs_resolver.rb'
    - 'app/graphql/resolvers/board_list_issues_resolver.rb'
    - 'app/graphql/resolvers/board_list_resolver.rb'
    - 'app/graphql/resolvers/board_lists_resolver.rb'
    - 'app/graphql/resolvers/board_resolver.rb'
    - 'app/graphql/resolvers/boards_resolver.rb'
    - 'app/graphql/resolvers/ci/all_jobs_resolver.rb'
    - 'app/graphql/resolvers/ci/config_resolver.rb'
    - 'app/graphql/resolvers/ci/group_runners_resolver.rb'
    - 'app/graphql/resolvers/ci/jobs_resolver.rb'
    - 'app/graphql/resolvers/ci/project_pipeline_counts_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_jobs_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_projects_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_setup_resolver.rb'
    - 'app/graphql/resolvers/ci/runner_status_resolver.rb'
    - 'app/graphql/resolvers/ci/runners_resolver.rb'
    - 'app/graphql/resolvers/ci/template_resolver.rb'
    - 'app/graphql/resolvers/ci/variables_resolver.rb'
    - 'app/graphql/resolvers/clusters/agent_tokens_resolver.rb'
    - 'app/graphql/resolvers/clusters/agents_resolver.rb'
    - 'app/graphql/resolvers/concerns/board_item_filterable.rb'
    - 'app/graphql/resolvers/concerns/group_issuable_resolver.rb'
    - 'app/graphql/resolvers/concerns/issues/sort_arguments.rb'
    - 'app/graphql/resolvers/concerns/project_search_arguments.rb'
    - 'app/graphql/resolvers/concerns/resolves_pipelines.rb'
    - 'app/graphql/resolvers/concerns/resolves_snippets.rb'
    - 'app/graphql/resolvers/concerns/search_arguments.rb'
    - 'app/graphql/resolvers/concerns/time_frame_arguments.rb'
    - 'app/graphql/resolvers/container_repositories_resolver.rb'
    - 'app/graphql/resolvers/container_repository_tags_resolver.rb'
    - 'app/graphql/resolvers/crm/contact_state_counts_resolver.rb'
    - 'app/graphql/resolvers/crm/contacts_resolver.rb'
    - 'app/graphql/resolvers/crm/organization_state_counts_resolver.rb'
    - 'app/graphql/resolvers/crm/organizations_resolver.rb'
    - 'app/graphql/resolvers/deployment_resolver.rb'
    - 'app/graphql/resolvers/deployments_resolver.rb'
    - 'app/graphql/resolvers/design_management/design_at_version_resolver.rb'
    - 'app/graphql/resolvers/design_management/design_resolver.rb'
    - 'app/graphql/resolvers/design_management/designs_resolver.rb'
    - 'app/graphql/resolvers/design_management/version/design_at_version_resolver.rb'
    - 'app/graphql/resolvers/design_management/version/designs_at_version_resolver.rb'
    - 'app/graphql/resolvers/design_management/version_in_collection_resolver.rb'
    - 'app/graphql/resolvers/design_management/version_resolver.rb'
    - 'app/graphql/resolvers/design_management/versions_resolver.rb'
    - 'app/graphql/resolvers/echo_resolver.rb'
    - 'app/graphql/resolvers/environments/last_deployment_resolver.rb'
    - 'app/graphql/resolvers/environments_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_detailed_error_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_error_stack_trace_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_errors_resolver.rb'
    - 'app/graphql/resolvers/full_path_resolver.rb'
    - 'app/graphql/resolvers/group_labels_resolver.rb'
    - 'app/graphql/resolvers/group_members_resolver.rb'
    - 'app/graphql/resolvers/group_milestones_resolver.rb'
    - 'app/graphql/resolvers/group_releases_resolver.rb'
    - 'app/graphql/resolvers/groups_resolver.rb'
    - 'app/graphql/resolvers/incident_management/timeline_events_resolver.rb'
    - 'app/graphql/resolvers/issues/base_resolver.rb'
    - 'app/graphql/resolvers/issues_resolver.rb'
    - 'app/graphql/resolvers/labels_resolver.rb'
    - 'app/graphql/resolvers/members_resolver.rb'
    - 'app/graphql/resolvers/merge_request_resolver.rb'
    - 'app/graphql/resolvers/merge_requests_resolver.rb'
    - 'app/graphql/resolvers/metrics/dashboards/annotation_resolver.rb'
    - 'app/graphql/resolvers/milestones_resolver.rb'
    - 'app/graphql/resolvers/namespace_projects_resolver.rb'
    - 'app/graphql/resolvers/packages_base_resolver.rb'
    - 'app/graphql/resolvers/paginated_tree_resolver.rb'
    - 'app/graphql/resolvers/project_jobs_resolver.rb'
    - 'app/graphql/resolvers/project_members_resolver.rb'
    - 'app/graphql/resolvers/project_milestones_resolver.rb'
    - 'app/graphql/resolvers/project_pipeline_resolver.rb'
    - 'app/graphql/resolvers/project_pipeline_schedules_resolver.rb'
    - 'app/graphql/resolvers/projects/fork_details_resolver.rb'
    - 'app/graphql/resolvers/projects/jira_projects_resolver.rb'
    - 'app/graphql/resolvers/projects/services_resolver.rb'
    - 'app/graphql/resolvers/projects_resolver.rb'
    - 'app/graphql/resolvers/release_resolver.rb'
    - 'app/graphql/resolvers/releases_resolver.rb'
    - 'app/graphql/resolvers/snippets/blobs_resolver.rb'
    - 'app/graphql/resolvers/snippets_resolver.rb'
    - 'app/graphql/resolvers/terraform/states_resolver.rb'
    - 'app/graphql/resolvers/timelog_resolver.rb'
    - 'app/graphql/resolvers/todo_resolver.rb'
    - 'app/graphql/resolvers/todos_resolver.rb'
    - 'app/graphql/resolvers/topics_resolver.rb'
    - 'app/graphql/resolvers/tree_resolver.rb'
    - 'app/graphql/resolvers/user_merge_requests_resolver_base.rb'
    - 'app/graphql/resolvers/user_resolver.rb'
    - 'app/graphql/resolvers/user_starred_projects_resolver.rb'
    - 'app/graphql/resolvers/users/groups_resolver.rb'
    - 'app/graphql/resolvers/users/snippets_resolver.rb'
    - 'app/graphql/resolvers/users_resolver.rb'
    - 'app/graphql/resolvers/work_items/types_resolver.rb'
    - 'app/graphql/resolvers/work_items_resolver.rb'
    - 'app/graphql/subscriptions/issuable_updated.rb'
    - 'app/graphql/types/access_level_type.rb'
    - 'app/graphql/types/achievements/achievement_type.rb'
    - 'app/graphql/types/admin/analytics/usage_trends/measurement_type.rb'
    - 'app/graphql/types/admin/sidekiq_queues/delete_jobs_response_type.rb'
    - 'app/graphql/types/alert_management/alert_status_counts_type.rb'
    - 'app/graphql/types/alert_management/alert_type.rb'
    - 'app/graphql/types/alert_management/integration_type.rb'
    - 'app/graphql/types/award_emojis/award_emoji_type.rb'
    - 'app/graphql/types/base_enum.rb'
    - 'app/graphql/types/blob_viewer_type.rb'
    - 'app/graphql/types/board_list_type.rb'
    - 'app/graphql/types/board_type.rb'
    - 'app/graphql/types/boards/board_issuable_input_base_type.rb'
    - 'app/graphql/types/boards/board_issue_input_base_type.rb'
    - 'app/graphql/types/boards/board_issue_input_type.rb'
    - 'app/graphql/types/branch_protections/base_access_level_type.rb'
    - 'app/graphql/types/branch_rules/branch_protection_type.rb'
    - 'app/graphql/types/branch_type.rb'
    - 'app/graphql/types/ci/analytics_type.rb'
    - 'app/graphql/types/ci/application_setting_type.rb'
    - 'app/graphql/types/ci/build_need_type.rb'
    - 'app/graphql/types/ci/code_quality_degradation_severity_enum.rb'
    - 'app/graphql/types/ci/code_quality_report_summary_type.rb'
    - 'app/graphql/types/ci/config/config_type.rb'
    - 'app/graphql/types/ci/config/group_type.rb'
    - 'app/graphql/types/ci/config/include_type.rb'
    - 'app/graphql/types/ci/config/job_restriction_type.rb'
    - 'app/graphql/types/ci/config/job_type.rb'
    - 'app/graphql/types/ci/config/need_type.rb'
    - 'app/graphql/types/ci/config/stage_type.rb'
    - 'app/graphql/types/ci/config_variable_type.rb'
    - 'app/graphql/types/ci/detailed_status_type.rb'
    - 'app/graphql/types/ci/freeze_period_type.rb'
    - 'app/graphql/types/ci/group_type.rb'
    - 'app/graphql/types/ci/group_variable_type.rb'
    - 'app/graphql/types/ci/instance_variable_type.rb'
    - 'app/graphql/types/ci/job_artifact_type.rb'
    - 'app/graphql/types/ci/job_status_enum.rb'
    - 'app/graphql/types/ci/job_token_scope_type.rb'
    - 'app/graphql/types/ci/job_type.rb'
    - 'app/graphql/types/ci/manual_variable_type.rb'
    - 'app/graphql/types/ci/pipeline_counts_type.rb'
    - 'app/graphql/types/ci/pipeline_merge_request_event_type_enum.rb'
    - 'app/graphql/types/ci/pipeline_message_type.rb'
    - 'app/graphql/types/ci/pipeline_schedule_type.rb'
    - 'app/graphql/types/ci/pipeline_scope_enum.rb'
    - 'app/graphql/types/ci/pipeline_status_enum.rb'
    - 'app/graphql/types/ci/pipeline_type.rb'
    - 'app/graphql/types/ci/project_variable_type.rb'
    - 'app/graphql/types/ci/recent_failures_type.rb'
    - 'app/graphql/types/ci/runner_access_level_enum.rb'
    - 'app/graphql/types/ci/runner_architecture_type.rb'
    - 'app/graphql/types/ci/runner_job_execution_status_enum.rb'
    - 'app/graphql/types/ci/runner_membership_filter_enum.rb'
    - 'app/graphql/types/ci/runner_platform_type.rb'
    - 'app/graphql/types/ci/runner_setup_type.rb'
    - 'app/graphql/types/ci/runner_status_enum.rb'
    - 'app/graphql/types/ci/runner_type.rb'
    - 'app/graphql/types/ci/runner_type_enum.rb'
    - 'app/graphql/types/ci/runner_web_url_edge.rb'
    - 'app/graphql/types/ci/stage_type.rb'
    - 'app/graphql/types/ci/status_action_type.rb'
    - 'app/graphql/types/ci/template_type.rb'
    - 'app/graphql/types/ci/test_case_status_enum.rb'
    - 'app/graphql/types/ci/test_case_type.rb'
    - 'app/graphql/types/ci/test_report_summary_type.rb'
    - 'app/graphql/types/ci/test_report_total_type.rb'
    - 'app/graphql/types/ci/test_suite_summary_type.rb'
    - 'app/graphql/types/ci/test_suite_type.rb'
    - 'app/graphql/types/ci/variable_interface.rb'
    - 'app/graphql/types/ci_configuration/sast/analyzers_entity_input_type.rb'
    - 'app/graphql/types/ci_configuration/sast/analyzers_entity_type.rb'
    - 'app/graphql/types/ci_configuration/sast/entity_input_type.rb'
    - 'app/graphql/types/ci_configuration/sast/entity_type.rb'
    - 'app/graphql/types/ci_configuration/sast/options_entity_type.rb'
    - 'app/graphql/types/ci_configuration/sast/type.rb'
    - 'app/graphql/types/clusters/agent_activity_event_type.rb'
    - 'app/graphql/types/clusters/agent_token_type.rb'
    - 'app/graphql/types/clusters/agent_type.rb'
    - 'app/graphql/types/commit_action_type.rb'
    - 'app/graphql/types/commit_signature_interface.rb'
    - 'app/graphql/types/commit_signatures/gpg_signature_type.rb'
    - 'app/graphql/types/commit_signatures/ssh_signature_type.rb'
    - 'app/graphql/types/commit_signatures/x509_signature_type.rb'
    - 'app/graphql/types/commit_type.rb'
    - 'app/graphql/types/container_repository_details_type.rb'
    - 'app/graphql/types/countable_connection_type.rb'
    - 'app/graphql/types/current_user_todos.rb'
    - 'app/graphql/types/custom_emoji_type.rb'
    - 'app/graphql/types/customer_relations/contact_state_counts_type.rb'
    - 'app/graphql/types/customer_relations/contact_state_enum.rb'
    - 'app/graphql/types/customer_relations/contact_type.rb'
    - 'app/graphql/types/customer_relations/organization_state_counts_type.rb'
    - 'app/graphql/types/customer_relations/organization_state_enum.rb'
    - 'app/graphql/types/customer_relations/organization_type.rb'
    - 'app/graphql/types/dependency_proxy/manifest_type.rb'
    - 'app/graphql/types/deployment_status_enum.rb'
    - 'app/graphql/types/deployment_tag_type.rb'
    - 'app/graphql/types/deployment_type.rb'
    - 'app/graphql/types/deployments_order_by_input_type.rb'
    - 'app/graphql/types/design_management/design_at_version_type.rb'
    - 'app/graphql/types/design_management/design_collection_copy_state_enum.rb'
    - 'app/graphql/types/design_management/design_collection_type.rb'
    - 'app/graphql/types/design_management/design_fields.rb'
    - 'app/graphql/types/design_management/design_type.rb'
    - 'app/graphql/types/design_management/version_type.rb'
    - 'app/graphql/types/design_management_type.rb'
    - 'app/graphql/types/diff_paths_input_type.rb'
    - 'app/graphql/types/diff_refs_type.rb'
    - 'app/graphql/types/diff_stats_summary_type.rb'
    - 'app/graphql/types/diff_stats_type.rb'
    - 'app/graphql/types/environment_type.rb'
    - 'app/graphql/types/error_tracking/sentry_detailed_error_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_collection_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_stack_trace_context_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_stack_trace_entry_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_stack_trace_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_type.rb'
    - 'app/graphql/types/event_type.rb'
    - 'app/graphql/types/evidence_type.rb'
    - 'app/graphql/types/grafana_integration_type.rb'
    - 'app/graphql/types/group_invitation_type.rb'
    - 'app/graphql/types/group_member_type.rb'
    - 'app/graphql/types/group_type.rb'
    - 'app/graphql/types/incident_management/timeline_event_tag_type.rb'
    - 'app/graphql/types/incident_management/timeline_event_type.rb'
    - 'app/graphql/types/invitation_interface.rb'
    - 'app/graphql/types/issue_status_counts_type.rb'
    - 'app/graphql/types/issue_type.rb'
    - 'app/graphql/types/issue_type_enum.rb'
    - 'app/graphql/types/issues/negated_issue_filter_input_type.rb'
    - 'app/graphql/types/issues/unioned_issue_filter_input_type.rb'
    - 'app/graphql/types/jira_import_type.rb'
    - 'app/graphql/types/jira_user_type.rb'
    - 'app/graphql/types/jira_users_mapping_input_type.rb'
    - 'app/graphql/types/kas/agent_configuration_type.rb'
    - 'app/graphql/types/kas/agent_connection_type.rb'
    - 'app/graphql/types/kas/agent_metadata_type.rb'
    - 'app/graphql/types/key_type.rb'
    - 'app/graphql/types/label_type.rb'
    - 'app/graphql/types/member_interface.rb'
    - 'app/graphql/types/merge_request_connection_type.rb'
    - 'app/graphql/types/merge_request_review_state_enum.rb'
    - 'app/graphql/types/merge_request_type.rb'
    - 'app/graphql/types/merge_requests/detailed_merge_status_enum.rb'
    - 'app/graphql/types/merge_requests/interacts_with_merge_request.rb'
    - 'app/graphql/types/merge_requests/merge_status_enum.rb'
    - 'app/graphql/types/metadata/kas_type.rb'
    - 'app/graphql/types/metadata_type.rb'
    - 'app/graphql/types/metrics/dashboards/annotation_type.rb'
    - 'app/graphql/types/milestone_stats_type.rb'
    - 'app/graphql/types/milestone_type.rb'
    - 'app/graphql/types/mutation_type.rb'
    - 'app/graphql/types/namespace/shared_runners_setting_enum.rb'
    - 'app/graphql/types/namespace_type.rb'
    - 'app/graphql/types/nested_environment_type.rb'
    - 'app/graphql/types/notes/diff_image_position_input_type.rb'
    - 'app/graphql/types/notes/diff_position_base_input_type.rb'
    - 'app/graphql/types/notes/diff_position_input_type.rb'
    - 'app/graphql/types/notes/diff_position_type.rb'
    - 'app/graphql/types/notes/discussion_type.rb'
    - 'app/graphql/types/notes/update_diff_image_position_input_type.rb'
    - 'app/graphql/types/packages/cleanup/policy_type.rb'
    - 'app/graphql/types/packages/file_metadata_type.rb'
    - 'app/graphql/types/packages/package_base_type.rb'
    - 'app/graphql/types/packages/package_details_type.rb'
    - 'app/graphql/types/packages/package_file_type.rb'
    - 'app/graphql/types/packages/package_type.rb'
    - 'app/graphql/types/permission_types/ci/pipeline_schedules.rb'
    - 'app/graphql/types/permission_types/issue.rb'
    - 'app/graphql/types/permission_types/merge_request.rb'
    - 'app/graphql/types/permission_types/project.rb'
    - 'app/graphql/types/project_invitation_type.rb'
    - 'app/graphql/types/project_member_type.rb'
    - 'app/graphql/types/project_statistics_type.rb'
    - 'app/graphql/types/projects/branch_rule_type.rb'
    - 'app/graphql/types/projects/fork_details_type.rb'
    - 'app/graphql/types/projects/repository_language_type.rb'
    - 'app/graphql/types/projects/service_type.rb'
    - 'app/graphql/types/projects/services/jira_project_type.rb'
    - 'app/graphql/types/projects/services/jira_service_type.rb'
    - 'app/graphql/types/projects/topic_type.rb'
    - 'app/graphql/types/prometheus_alert_type.rb'
    - 'app/graphql/types/query_complexity_type.rb'
    - 'app/graphql/types/query_type.rb'
    - 'app/graphql/types/range_input_type.rb'
    - 'app/graphql/types/release_asset_link_shared_input_arguments.rb'
    - 'app/graphql/types/release_asset_link_type.rb'
    - 'app/graphql/types/release_assets_input_type.rb'
    - 'app/graphql/types/release_assets_type.rb'
    - 'app/graphql/types/release_links_type.rb'
    - 'app/graphql/types/release_source_type.rb'
    - 'app/graphql/types/release_type.rb'
    - 'app/graphql/types/repository/blob_type.rb'
    - 'app/graphql/types/repository_type.rb'
    - 'app/graphql/types/resolvable_interface.rb'
    - 'app/graphql/types/saved_reply_type.rb'
    - 'app/graphql/types/security/report_type_enum.rb'
    - 'app/graphql/types/sha_format_enum.rb'
    - 'app/graphql/types/snippet_type.rb'
    - 'app/graphql/types/snippets/blob_action_input_type.rb'
    - 'app/graphql/types/snippets/blob_connection_type.rb'
    - 'app/graphql/types/snippets/blob_type.rb'
    - 'app/graphql/types/sort_enum.rb'
    - 'app/graphql/types/task_completion_status.rb'
    - 'app/graphql/types/terraform/state_type.rb'
    - 'app/graphql/types/terraform/state_version_type.rb'
    - 'app/graphql/types/time_tracking/timelog_category_type.rb'
    - 'app/graphql/types/time_tracking/timelog_connection_type.rb'
    - 'app/graphql/types/timelog_type.rb'
    - 'app/graphql/types/todo_type.rb'
    - 'app/graphql/types/tree/blob_type.rb'
    - 'app/graphql/types/tree/entry_type.rb'
    - 'app/graphql/types/tree/submodule_type.rb'
    - 'app/graphql/types/tree/tree_entry_type.rb'
    - 'app/graphql/types/tree/tree_type.rb'
    - 'app/graphql/types/user_callout_type.rb'
    - 'app/graphql/types/user_interface.rb'
    - 'app/graphql/types/user_merge_request_interaction_type.rb'
    - 'app/graphql/types/user_status_type.rb'
    - 'app/graphql/types/users/email_type.rb'
    - 'app/graphql/types/users/namespace_commit_email_type.rb'
    - 'app/graphql/types/work_item_type.rb'
    - 'app/graphql/types/work_items/convert_task_input_type.rb'
    - 'app/graphql/types/work_items/deleted_task_input_type.rb'
    - 'app/graphql/types/work_items/type_type.rb'
    - 'app/graphql/types/work_items/widgets/description_input_type.rb'
    - 'app/graphql/types/work_items/widgets/description_type.rb'
    - 'app/graphql/types/work_items/widgets/hierarchy_create_input_type.rb'
    - 'app/graphql/types/work_items/widgets/hierarchy_type.rb'
    - 'app/graphql/types/work_items/widgets/hierarchy_update_input_type.rb'
    - 'app/graphql/types/work_items/widgets/labels_update_input_type.rb'
    - 'app/graphql/types/work_items/widgets/milestone_input_type.rb'
    - 'app/graphql/types/work_items/widgets/milestone_type.rb'
    - 'app/graphql/types/work_items/widgets/start_and_due_date_update_input_type.rb'
    - 'app/graphql/types/x509_certificate_type.rb'
    - 'app/graphql/types/x509_issuer_type.rb'
    - 'app/services/lfs/lock_file_service.rb'
    - 'app/services/markdown_content_rewriter_service.rb'
    - 'app/services/members/base_service.rb'
    - 'app/services/ml/experiment_tracking/experiment_repository.rb'
    - 'app/services/post_receive_service.rb'
    - 'app/services/preview_markdown_service.rb'
    - 'app/services/protected_branches/api_service.rb'
    - 'app/services/protected_branches/legacy_api_create_service.rb'
    - 'app/services/quick_actions/interpret_service.rb'
    - 'app/services/search/global_service.rb'
    - 'app/services/search/project_service.rb'
    - 'app/services/security/ci_configuration/base_create_service.rb'
    - 'app/services/security/ci_configuration/container_scanning_create_service.rb'
    - 'app/services/security/ci_configuration/dependency_scanning_create_service.rb'
    - 'app/services/security/ci_configuration/sast_iac_create_service.rb'
    - 'app/services/security/ci_configuration/secret_detection_create_service.rb'
    - 'app/validators/feature_flag_user_xids_validator.rb'
    - 'config/application.rb'
    - 'config/initializers/hashie_mash_permitted_patch.rb'
    - 'config/initializers/rack_timeout.rb'
    - 'config/initializers/rest-client-hostname_override.rb'
    - 'config/initializers/zz_metrics.rb'
    - 'db/migrate/20220711142148_add_invitation_flow_enforcement_to_application_settings.rb'
    - 'db/migrate/20220816135816_create_sbom_vulnerable_component_versions.rb'
    - 'db/migrate/20220824082427_remove_tmp_idx_vulnerability_occurrences_on_id_and_scanner_id.rb'
    - 'db/migrate/20220828131848_create_packages_rpm_metadata.rb'
    - 'db/migrate/20220913043728_create_user_phone_number_validations.rb'
    - 'db/migrate/20220923103006_add_ci_pipeline_metadata_title.rb'
    - 'db/migrate/20221003151747_create_audit_events_streaming_event_type_filters.rb'
    - 'db/migrate/20221008032350_add_password_expiration_migration.rb'
    - 'db/migrate/20221009085130_add_mr_checks_columns_to_namespace_settings.rb'
    - 'db/migrate/20221014031033_add_temp_index_to_project_features_where_releases_access_level_gt_repository.rb'
    - 'db/migrate/20221020124018_add_delete_started_at_to_container_repositories.rb'
    - 'db/migrate/20221025043930_change_default_value_on_password_last_changed_at_to_user_details.rb'
    - 'db/migrate/20221025145452_change_vulnerability_feedback_unique_idx.rb'
    - 'db/migrate/20221103205317_create_dast_pre_scan_verification.rb'
    - 'db/migrate/20221104061320_add_disable_download_button_into_application_settings.rb'
    - 'db/migrate/20221111142921_add_hierarchy_restrictions.rb'
    - 'db/migrate/20221116160204_create_ml_experiment_metadata_and_ml_candidate_metadata.rb'
    - 'db/migrate/20221121091238_add_work_item_progress.rb'
    - 'db/migrate/20221130170433_create_dast_pre_scan_verification_step.rb'
    - 'db/migrate/20221202144210_create_achievements.rb'
    - 'db/migrate/20221207220120_create_dast_scanner_profiles_runner_tags.rb'
    - 'db/migrate/20221214201256_create_user_achievements.rb'
    - 'db/migrate/20221221134116_create_elastic_group_index_statuses.rb'
    - 'db/migrate/20221222144954_create_analytics_dashboards_configuration_pointers.rb'
    - 'db/migrate/20230106184809_create_dast_profiles_tags.rb'
    - 'db/migrate/20230109093043_create_namespaces_storage_limit_exclusions.rb'
    - 'db/migrate/20230109121313_add_runner_machines_contacted_at_index.rb'
    - 'db/migrate/20230117173433_create_project_data_transfer.rb'
    - 'db/migrate/20230123095022_create_scan_result_policies.rb'
    - 'db/migrate/20230124193917_add_index_for_protected_tag_create_access_levels.rb'
    - 'db/migrate/20230127151529_add_project_pointer_for_analytics_dashboard.rb'
    - 'db/migrate/20230127151531_change_dashboard_analytics_project_pointer_project_null.rb'
    - 'db/post_migrate/20220606054503_add_tmp_index_job_artifacts_id_and_expire_at.rb'
    - 'db/post_migrate/20220616171355_update_vulnerabilities_project_id_id_active_cis_index.rb'
    - 'db/post_migrate/20220726225114_remove_tmp_index_group_membership_namespace_id_column.rb'
    - 'db/post_migrate/20220820221036_update_tmp_non_migrated_index_on_container_repositories.rb'
    - 'db/post_migrate/20220826152430_remove_container_repository_deprecated_geo_fields.rb'
    - 'db/post_migrate/20220826152432_remove_container_repository_updated_events.rb'
    - 'db/post_migrate/20220916112841_remove_unused_aggregation_columns.rb'
    - 'db/post_migrate/20220919080303_delete_migrate_shared_vulnerability_scanners.rb'
    - 'db/post_migrate/20220929081645_tmp_idx_null_member_namespace_id.rb'
    - 'db/post_migrate/20221003192827_add_index_resolved_on_default_branch_to_vulnerabilities_read.rb'
    - 'db/post_migrate/20221004092038_tmp_index_members_on_id_where_namespace_id_null.rb'
    - 'db/post_migrate/20221010123040_add_compliance_framework_fk_to_namespace_settings.rb'
    - 'db/post_migrate/20221021082720_drop_index_on_ci_runners_token.rb'
    - 'db/post_migrate/20221021082734_drop_index_on_ci_runners_token_encrypted.rb'
    - 'db/post_migrate/20221021160735_add_index_for_common_finder_query_desc_with_namespace_id.rb'
    - 'db/post_migrate/20221108222015_remove_temp_index_on_project_features_where_releases_access_level_gt_repository.rb'
    - 'db/post_migrate/20221110190340_add_partial_legacy_open_source_license_available_project_id_index.rb'
    - 'db/post_migrate/20221114142044_delete_experiments_foreign_keys.rb'
    - 'db/post_migrate/20221116105434_remove_index_project_settings_on_legacy_open_source_license_available.rb'
    - 'db/post_migrate/20221205170310_add_index_for_active_members.rb'
    - 'db/post_migrate/20230104103748_remove_new_amount_used_column.rb'
    - 'db/post_migrate/20230104150601_prepare_builds_metadata_async_idx.rb'
    - 'db/post_migrate/20230104222514_add_foreign_key_to_builds_metadata.rb'
    - 'db/post_migrate/20230104224020_drop_vuln_reads_on_default_branch_index.rb'
    - 'db/post_migrate/20230105180002_remove_new_amount_used_column_on_ci_namespace_monthly_usages.rb'
    - 'db/post_migrate/20230119123908_add_temporary_size_index_to_package_files.rb'
    - 'db/post_migrate/20230123095023_add_scan_result_policy_id_to_software_license_policies.rb'
    - 'db/post_migrate/20230124104310_prepare_web_hook_logs_id_created_at_async_index.rb'
    - 'db/post_migrate/20230130070623_add_index_on_packages_package_file_file_name.rb'
    - 'ee/app/components/namespaces/free_user_cap/base_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/enforcement_at_limit_alert_component.rb'
    - 'ee/app/graphql/ee/mutations/alert_management/http_integration/create.rb'
    - 'ee/app/graphql/ee/mutations/alert_management/http_integration/update.rb'
    - 'ee/app/graphql/ee/mutations/boards/issues/issue_move_list.rb'
    - 'ee/app/graphql/ee/mutations/boards/lists/create.rb'
    - 'ee/app/graphql/ee/mutations/ci/runner/update.rb'
    - 'ee/app/graphql/ee/mutations/issues/create.rb'
    - 'ee/app/graphql/ee/mutations/issues/update.rb'
    - 'ee/app/graphql/ee/mutations/work_items/create.rb'
    - 'ee/app/graphql/ee/mutations/work_items/update.rb'
    - 'ee/app/graphql/ee/resolvers/issues/base_parent_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/issues/base_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/namespace_projects_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/work_items_resolver.rb'
    - 'ee/app/graphql/ee/types/alert_management/http_integration_type.rb'
    - 'ee/app/graphql/ee/types/boards/board_issue_input_base_type.rb'
    - 'ee/app/graphql/ee/types/boards/board_issue_input_type.rb'
    - 'ee/app/graphql/ee/types/boards/negated_board_issue_input_type.rb'
    - 'ee/app/graphql/ee/types/branch_protections/base_access_level_type.rb'
    - 'ee/app/graphql/ee/types/branch_rules/branch_protection_type.rb'
    - 'ee/app/graphql/ee/types/ci/runner_countable_connection_type.rb'
    - 'ee/app/graphql/ee/types/deployment_type.rb'
    - 'ee/app/graphql/ee/types/environment_type.rb'
    - 'ee/app/graphql/ee/types/issues/negated_issue_filter_input_type.rb'
    - 'ee/app/graphql/ee/types/namespace_type.rb'
    - 'ee/app/graphql/ee/types/permission_types/deployment.rb'
    - 'ee/app/graphql/ee/types/project_type.rb'
    - 'ee/app/graphql/ee/types/projects/branch_rule_type.rb'
    - 'ee/app/graphql/ee/types/subscription_type.rb'
    - 'ee/app/graphql/ee/types/user_merge_request_interaction_type.rb'
    - 'ee/app/graphql/mutations/analytics/devops_adoption/enabled_namespaces/bulk_enable.rb'
    - 'ee/app/graphql/mutations/analytics/devops_adoption/enabled_namespaces/disable.rb'
    - 'ee/app/graphql/mutations/analytics/devops_adoption/enabled_namespaces/enable.rb'
    - 'ee/app/graphql/mutations/app_sec/dast/site_profiles/shared_arguments.rb'
    - 'ee/app/graphql/mutations/app_sec/fuzzing/coverage/corpus/create.rb'
    - 'ee/app/graphql/mutations/audit_events/external_audit_event_destinations/create.rb'
    - 'ee/app/graphql/mutations/audit_events/external_audit_event_destinations/destroy.rb'
    - 'ee/app/graphql/mutations/audit_events/external_audit_event_destinations/update.rb'
    - 'ee/app/graphql/mutations/audit_events/streaming/event_type_filters/create.rb'
    - 'ee/app/graphql/mutations/audit_events/streaming/event_type_filters/destroy.rb'
    - 'ee/app/graphql/mutations/audit_events/streaming/headers/create.rb'
    - 'ee/app/graphql/mutations/audit_events/streaming/headers/destroy.rb'
    - 'ee/app/graphql/mutations/audit_events/streaming/headers/update.rb'
    - 'ee/app/graphql/mutations/boards/epic_boards/create.rb'
    - 'ee/app/graphql/mutations/boards/epic_boards/destroy.rb'
    - 'ee/app/graphql/mutations/boards/epic_boards/epic_move_list.rb'
    - 'ee/app/graphql/mutations/boards/epic_boards/update.rb'
    - 'ee/app/graphql/mutations/boards/epic_lists/create.rb'
    - 'ee/app/graphql/mutations/boards/epic_lists/destroy.rb'
    - 'ee/app/graphql/mutations/boards/epic_lists/update.rb'
    - 'ee/app/graphql/mutations/boards/epics/create.rb'
    - 'ee/app/graphql/mutations/boards/lists/update_limit_metrics.rb'
    - 'ee/app/graphql/mutations/boards/scoped_board_mutation.rb'
    - 'ee/app/graphql/mutations/boards/scoped_issue_board_arguments.rb'
    - 'ee/app/graphql/mutations/boards/update_epic_user_preferences.rb'
    - 'ee/app/graphql/mutations/compliance_management/frameworks/create.rb'
    - 'ee/app/graphql/mutations/compliance_management/frameworks/destroy.rb'
    - 'ee/app/graphql/mutations/compliance_management/frameworks/update.rb'
    - 'ee/app/graphql/mutations/concerns/mutations/finds_project_or_group_for_security_policies.rb'
    - 'ee/app/graphql/mutations/concerns/mutations/shared_epic_arguments.rb'
    - 'ee/app/graphql/mutations/dast/profiles/create.rb'
    - 'ee/app/graphql/mutations/dast/profiles/delete.rb'
    - 'ee/app/graphql/mutations/dast/profiles/run.rb'
    - 'ee/app/graphql/mutations/dast/profiles/update.rb'
    - 'ee/app/graphql/mutations/dast_on_demand_scans/create.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/create.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/delete.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/update.rb'
    - 'ee/app/graphql/mutations/dast_site_profiles/create.rb'
    - 'ee/app/graphql/mutations/dast_site_profiles/delete.rb'
    - 'ee/app/graphql/mutations/dast_site_profiles/update.rb'
    - 'ee/app/graphql/mutations/dast_site_tokens/create.rb'
    - 'ee/app/graphql/mutations/dast_site_validations/create.rb'
    - 'ee/app/graphql/mutations/dast_site_validations/revoke.rb'
    - 'ee/app/graphql/mutations/epic_tree/reorder.rb'
    - 'ee/app/graphql/mutations/epics/add_issue.rb'
    - 'ee/app/graphql/mutations/epics/base.rb'
    - 'ee/app/graphql/mutations/epics/create.rb'
    - 'ee/app/graphql/mutations/epics/set_subscription.rb'
    - 'ee/app/graphql/mutations/epics/update.rb'
    - 'ee/app/graphql/mutations/gitlab_subscriptions/activate.rb'
    - 'ee/app/graphql/mutations/incident_management/escalation_policy/base.rb'
    - 'ee/app/graphql/mutations/incident_management/escalation_policy/create.rb'
    - 'ee/app/graphql/mutations/incident_management/escalation_policy/destroy.rb'
    - 'ee/app/graphql/mutations/incident_management/escalation_policy/update.rb'
    - 'ee/app/graphql/mutations/incident_management/issuable_resource_link/base.rb'
    - 'ee/app/graphql/mutations/incident_management/issuable_resource_link/create.rb'
    - 'ee/app/graphql/mutations/incident_management/issuable_resource_link/destroy.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_rotation/base.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_rotation/create.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_rotation/destroy.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_rotation/update.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_schedule/create.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_schedule/destroy.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_schedule/oncall_schedule_base.rb'
    - 'ee/app/graphql/mutations/incident_management/oncall_schedule/update.rb'
    - 'ee/app/graphql/mutations/instance_security_dashboard/add_project.rb'
    - 'ee/app/graphql/mutations/instance_security_dashboard/remove_project.rb'
    - 'ee/app/graphql/mutations/issues/common_ee_mutation_arguments.rb'
    - 'ee/app/graphql/mutations/issues/promote_to_epic.rb'
    - 'ee/app/graphql/mutations/issues/set_epic.rb'
    - 'ee/app/graphql/mutations/issues/set_escalation_policy.rb'
    - 'ee/app/graphql/mutations/issues/set_iteration.rb'
    - 'ee/app/graphql/mutations/issues/set_weight.rb'
    - 'ee/app/graphql/mutations/iterations/cadences/destroy.rb'
    - 'ee/app/graphql/mutations/iterations/create.rb'
    - 'ee/app/graphql/mutations/iterations/update.rb'
    - 'ee/app/graphql/mutations/namespaces/base.rb'
    - 'ee/app/graphql/mutations/projects/initialize_product_analytics.rb'
    - 'ee/app/graphql/mutations/projects/set_compliance_framework.rb'
    - 'ee/app/graphql/mutations/quality_management/test_cases/create.rb'
    - 'ee/app/graphql/mutations/requirements_management/base_requirement.rb'
    - 'ee/app/graphql/mutations/requirements_management/export_requirements.rb'
    - 'ee/app/graphql/mutations/requirements_management/update_requirement.rb'
    - 'ee/app/graphql/mutations/security/finding/create_issue.rb'
    - 'ee/app/graphql/mutations/security/finding/dismiss.rb'
    - 'ee/app/graphql/mutations/security/finding/revert_to_detected.rb'
    - 'ee/app/graphql/mutations/security/training_provider_update.rb'
    - 'ee/app/graphql/mutations/security_policy/assign_security_policy_project.rb'
    - 'ee/app/graphql/mutations/security_policy/commit_scan_execution_policy.rb'
    - 'ee/app/graphql/mutations/security_policy/create_security_policy_project.rb'
    - 'ee/app/graphql/mutations/security_policy/unassign_security_policy_project.rb'
    - 'ee/app/graphql/mutations/users/abuse/namespace_bans/destroy.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/confirm.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/create_external_issue_link.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/destroy_external_issue_link.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/dismiss.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/resolve.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/revert_to_detected.rb'
    - 'ee/app/graphql/resolvers/alert_management/payload_alert_field_resolver.rb'
    - 'ee/app/graphql/resolvers/analytics/contribution_analytics/contributions_resolver.rb'
    - 'ee/app/graphql/resolvers/analytics/devops_adoption/enabled_namespaces_resolver.rb'
    - 'ee/app/graphql/resolvers/analytics/devops_adoption/snapshots_resolver.rb'
    - 'ee/app/graphql/resolvers/app_sec/dast/profile_resolver.rb'
    - 'ee/app/graphql/resolvers/board_groupings/epics_resolver.rb'
    - 'ee/app/graphql/resolvers/boards/board_list_epics_resolver.rb'
    - 'ee/app/graphql/resolvers/boards/epic_boards_resolver.rb'
    - 'ee/app/graphql/resolvers/boards/epic_lists_resolver.rb'
    - 'ee/app/graphql/resolvers/ci/code_coverage_activities_resolver.rb'
    - 'ee/app/graphql/resolvers/compliance_management/framework_resolver.rb'
    - 'ee/app/graphql/resolvers/compliance_management/merge_requests/compliance_violation_resolver.rb'
    - 'ee/app/graphql/resolvers/concerns/common_requirement_arguments.rb'
    - 'ee/app/graphql/resolvers/dast_site_profile_resolver.rb'
    - 'ee/app/graphql/resolvers/dast_site_validation_resolver.rb'
    - 'ee/app/graphql/resolvers/dora_metrics_resolver.rb'
    - 'ee/app/graphql/resolvers/epic_ancestors_resolver.rb'
    - 'ee/app/graphql/resolvers/epics/children_resolver.rb'
    - 'ee/app/graphql/resolvers/epics_resolver.rb'
    - 'ee/app/graphql/resolvers/geo/geo_node_resolver.rb'
    - 'ee/app/graphql/resolvers/geo/registries_resolver.rb'
    - 'ee/app/graphql/resolvers/gitlab_subscriptions/preview_billable_user_change_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/escalation_policies_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/issuable_resource_links_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/oncall_rotations_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/oncall_schedule_resolver.rb'
    - 'ee/app/graphql/resolvers/incident_management/oncall_shifts_resolver.rb'
    - 'ee/app/graphql/resolvers/instance_security_dashboard/projects_resolver.rb'
    - 'ee/app/graphql/resolvers/iterations_resolver.rb'
    - 'ee/app/graphql/resolvers/network_policy_resolver.rb'
    - 'ee/app/graphql/resolvers/pipeline_security_report_findings_resolver.rb'
    - 'ee/app/graphql/resolvers/product_analytics/dashboards_resolver.rb'
    - 'ee/app/graphql/resolvers/requirements_management/requirements_resolver.rb'
    - 'ee/app/graphql/resolvers/requirements_management/test_reports_resolver.rb'
    - 'ee/app/graphql/resolvers/security_orchestration/scan_execution_policy_resolver.rb'
    - 'ee/app/graphql/resolvers/security_orchestration/scan_result_policy_resolver.rb'
    - 'ee/app/graphql/resolvers/security_report/finding_resolver.rb'
    - 'ee/app/graphql/resolvers/security_training_providers_resolver.rb'
    - 'ee/app/graphql/resolvers/security_training_urls_resolver.rb'
    - 'ee/app/graphql/resolvers/timebox_report_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities/issue_links_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_grade_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerability_severities_count_resolver.rb'
    - 'ee/app/graphql/types/alert_management/payload_alert_field_input_type.rb'
    - 'ee/app/graphql/types/alert_management/payload_alert_field_type.rb'
    - 'ee/app/graphql/types/alert_management/payload_alert_mapping_field_type.rb'
    - 'ee/app/graphql/types/analytics/contribution_analytics/contribution_metadata_type.rb'
    - 'ee/app/graphql/types/approval_rule_type.rb'
    - 'ee/app/graphql/types/audit_events/external_audit_event_destination_type.rb'
    - 'ee/app/graphql/types/audit_events/streaming/header_type.rb'
    - 'ee/app/graphql/types/boards/board_epic_input_type.rb'
    - 'ee/app/graphql/types/boards/board_epic_type.rb'
    - 'ee/app/graphql/types/boards/epic_list_metadata_type.rb'
    - 'ee/app/graphql/types/branch_rules/approval_project_rule_type.rb'
    - 'ee/app/graphql/types/branch_rules/external_status_check_type.rb'
    - 'ee/app/graphql/types/ci/code_coverage_activity_type.rb'
    - 'ee/app/graphql/types/ci/code_coverage_summary_type.rb'
    - 'ee/app/graphql/types/ci/jobs_duration_statistics_type.rb'
    - 'ee/app/graphql/types/ci/jobs_statistics_type.rb'
    - 'ee/app/graphql/types/ci/minutes/namespace_monthly_usage_type.rb'
    - 'ee/app/graphql/types/ci/minutes/project_monthly_usage_type.rb'
    - 'ee/app/graphql/types/compliance_management/compliance_framework_input_type.rb'
    - 'ee/app/graphql/types/compliance_management/compliance_framework_type.rb'
    - 'ee/app/graphql/types/compliance_management/merge_requests/compliance_violation_input_type.rb'
    - 'ee/app/graphql/types/dast/pre_scan_verification_status_enum.rb'
    - 'ee/app/graphql/types/dast/pre_scan_verification_step_type.rb'
    - 'ee/app/graphql/types/dast/pre_scan_verification_type.rb'
    - 'ee/app/graphql/types/dast/profile_branch_type.rb'
    - 'ee/app/graphql/types/dast/profile_cadence_input_type.rb'
    - 'ee/app/graphql/types/dast/profile_cadence_type.rb'
    - 'ee/app/graphql/types/dast/profile_schedule_input_type.rb'
    - 'ee/app/graphql/types/dast/profile_type.rb'
    - 'ee/app/graphql/types/dast/site_profile_auth_input_type.rb'
    - 'ee/app/graphql/types/dast/site_profile_auth_type.rb'
    - 'ee/app/graphql/types/dast_scanner_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_validation_type.rb'
    - 'ee/app/graphql/types/deployments/approval_status_enum.rb'
    - 'ee/app/graphql/types/deployments/approval_summary_status_enum.rb'
    - 'ee/app/graphql/types/deployments/approval_summary_type.rb'
    - 'ee/app/graphql/types/deployments/approval_type.rb'
    - 'ee/app/graphql/types/epic_descendant_weight_sum_type.rb'
    - 'ee/app/graphql/types/epic_tree/epic_tree_node_input_type.rb'
    - 'ee/app/graphql/types/epic_type.rb'
    - 'ee/app/graphql/types/epics/negated_epic_filter_input_type.rb'
    - 'ee/app/graphql/types/epics/unioned_epic_filter_input_type.rb'
    - 'ee/app/graphql/types/external_issue_type.rb'
    - 'ee/app/graphql/types/geo/geo_node_type.rb'
    - 'ee/app/graphql/types/gitlab_subscriptions/preview_billable_user_change_type.rb'
    - 'ee/app/graphql/types/group_release_stats_type.rb'
    - 'ee/app/graphql/types/group_stats_type.rb'
    - 'ee/app/graphql/types/incident_management/escalation_policy_type.rb'
    - 'ee/app/graphql/types/incident_management/escalation_rule_type.rb'
    - 'ee/app/graphql/types/incident_management/issuable_resource_link_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_participant_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_active_period_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_active_period_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_date_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_length_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_schedule_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_shift_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_user_input_type.rb'
    - 'ee/app/graphql/types/instance_security_dashboard_type.rb'
    - 'ee/app/graphql/types/metric_image_type.rb'
    - 'ee/app/graphql/types/network_policy_type.rb'
    - 'ee/app/graphql/types/path_lock_type.rb'
    - 'ee/app/graphql/types/permission_types/epic.rb'
    - 'ee/app/graphql/types/permission_types/requirement.rb'
    - 'ee/app/graphql/types/permission_types/vulnerability.rb'
    - 'ee/app/graphql/types/pipeline_security_report_finding_type.rb'
    - 'ee/app/graphql/types/product_analytics/dashboard_type.rb'
    - 'ee/app/graphql/types/product_analytics/visualization_type.rb'
    - 'ee/app/graphql/types/protected_environment_type.rb'
    - 'ee/app/graphql/types/protected_environments/approval_rule_for_summary_type.rb'
    - 'ee/app/graphql/types/protected_environments/approval_rule_type.rb'
    - 'ee/app/graphql/types/protected_environments/authorizable_type.rb'
    - 'ee/app/graphql/types/requirements_management/requirement_type.rb'
    - 'ee/app/graphql/types/security/training_url_type.rb'
    - 'ee/app/graphql/types/security_orchestration/group_security_policy_source_type.rb'
    - 'ee/app/graphql/types/security_orchestration/scan_execution_policy_type.rb'
    - 'ee/app/graphql/types/security_orchestration/scan_result_policy_type.rb'
    - 'ee/app/graphql/types/security_orchestration/security_policy_source_type.rb'
    - 'ee/app/graphql/types/security_report_summary_type.rb'
    - 'ee/app/graphql/types/security_scanners.rb'
    - 'ee/app/graphql/types/timebox_error_type.rb'
    - 'ee/app/graphql/types/vulnerabilities_count_by_day_type.rb'
    - 'ee/app/graphql/types/vulnerability_detail_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_source_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_supporting_message_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_type.rb'
    - 'ee/app/graphql/types/vulnerability_identifier_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_identifier_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/cluster_image_scanning_type.rb'
    - 'ee/app/graphql/types/vulnerability_location_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_vendor_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_severities_count_type.rb'
    - 'ee/app/graphql/types/vulnerable_package_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/health_status_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/health_status_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/iteration_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/iteration_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/progress_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/requirement_legacy_filter_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/requirement_legacy_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/status_filter_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/status_input_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/weight_input_type.rb'
    - 'ee/app/services/analytics/devops_adoption/enabled_namespaces/bulk_find_or_create_service.rb'
    - 'ee/app/services/audit_events/streaming/event_type_filters/destroy_service.rb'
    - 'ee/app/services/auto_merge/merge_train_service.rb'
    - 'ee/app/services/dashboard/projects/create_service.rb'
    - 'ee/app/services/dora/aggregate_metrics_service.rb'
    - 'ee/app/services/ee/applications/create_service.rb'
    - 'ee/app/services/ee/boards/issues/list_service.rb'
    - 'ee/app/services/ee/issues/base_service.rb'
    - 'ee/app/services/ee/issues/clone_service.rb'
    - 'ee/app/services/ee/issues/move_service.rb'
    - 'ee/app/services/ee/keys/create_service.rb'
    - 'ee/app/services/ee/merge_requests/create_pipeline_service.rb'
    - 'ee/app/services/ee/projects/create_from_template_service.rb'
    - 'ee/app/services/ee/projects/gitlab_projects_import_service.rb'
    - 'ee/app/services/ee/search/snippet_service.rb'
    - 'ee/app/services/ee/users/update_service.rb'
    - 'ee/app/services/elastic/process_bookkeeping_service.rb'
    - 'ee/app/services/epics/issue_promote_service.rb'
    - 'ee/app/services/external_status_checks/create_service.rb'
    - 'ee/app/services/external_status_checks/destroy_service.rb'
    - 'ee/app/services/external_status_checks/update_service.rb'
    - 'ee/app/services/geo/framework_repository_sync_service.rb'
    - 'ee/app/services/geo/prune_event_log_service.rb'
    - 'ee/app/services/group_saml/saml_group_links/create_service.rb'
    - 'ee/app/services/iterations/create_service.rb'
    - 'ee/app/services/merge_trains/create_pipeline_service.rb'
    - 'ee/app/services/registrations/standard_namespace_create_service.rb'
    - 'ee/app/services/security/findings/dismiss_service.rb'
    - 'ee/app/services/security/ingestion/tasks/ingest_vulnerability_flags.rb'
    - 'ee/app/services/security/track_scan_service.rb'
    - 'ee/app/services/vulnerabilities/confirm_service.rb'
    - 'ee/app/services/vulnerabilities/findings/find_or_create_from_security_finding_service.rb'
    - 'ee/app/services/vulnerabilities/security_finding/create_merge_request_service.rb'
    - 'ee/app/services/vulnerabilities/starboard_vulnerability_resolve_service.rb'
    - 'ee/app/services/vulnerability_feedback/create_service.rb'
    - 'ee/app/services/vulnerability_merge_request_links/create_service.rb'
    - 'ee/db/geo/migrate/20180405074130_add_partial_index_project_repository_verification.rb'
    - 'ee/db/geo/post_migrate/20210217020154_add_unique_index_on_container_repository_registry.rb'
    - 'ee/db/geo/post_migrate/20210217020156_add_unique_index_on_terraform_state_version_registry.rb'
    - 'ee/lib/audit/compliance_framework_changes_auditor.rb'
    - 'ee/lib/audit/external_status_check_changes_auditor.rb'
    - 'ee/lib/audit/group_changes_auditor.rb'
    - 'ee/lib/audit/project_changes_auditor.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_epic_cache_counts.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_storage_size_without_uploads_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_shared_vulnerability_scanners.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_vulnerabilities_feedback_to_vulnerabilities_state_transition.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/ee/gitlab/import_sources.rb'
    - 'ee/lib/ee/gitlab/middleware/read_only/controller.rb'
    - 'ee/lib/ee/gitlab/scim/group/deprovisioning_service.rb'
    - 'ee/lib/ee/gitlab/tracking.rb'
    - 'ee/lib/ee/gitlab/usage_data.rb'
    - 'ee/lib/elastic/latest/commit_config.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/summary/group/stage_summary.rb'
    - 'ee/lib/gitlab/auth/smartcard/base.rb'
    - 'ee/lib/gitlab/elastic/indexer.rb'
    - 'ee/lib/gitlab/geo/git_ssh_proxy.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/graphql/aggregations/epics/epic_node.rb'
    - 'ee/lib/gitlab/insights/executors/dora_executor.rb'
    - 'ee/lib/gitlab/insights/executors/issuable_executor.rb'
    - 'ee/lib/gitlab/status_page/pipeline/post_process_pipeline.rb'
    - 'ee/lib/gitlab/subscription_portal/clients/graphql.rb'
    - 'ee/lib/gitlab/zoekt/search_results.rb'
    - 'ee/spec/components/billing/plan_component_spec.rb'
    - 'ee/spec/elastic/migrate/20220119120500_populate_commit_permissions_in_main_index_spec.rb'
    - 'ee/spec/elastic/migrate/20221124090600_add_namespace_ancestry_ids_to_original_index_mapping_spec.rb'
    - 'ee/spec/elastic/migrate/20221221110300_backfill_traversal_ids_to_blobs_and_wiki_blobs_spec.rb'
    - 'ee/spec/graphql/ee/mutations/boards/lists/create_spec.rb'
    - 'ee/spec/graphql/ee/mutations/ci/runner/update_spec.rb'
    - 'ee/spec/lib/analytics/group_activity_calculator_spec.rb'
    - 'ee/spec/lib/analytics/merge_request_metrics_calculator_spec.rb'
    - 'ee/spec/lib/api/entities/protected_environments/approval_rule_for_summary_spec.rb'
    - 'ee/spec/lib/api/entities/protected_environments/approval_rule_spec.rb'
    - 'ee/spec/lib/api/entities/protected_environments/deploy_access_level_spec.rb'
    - 'ee/spec/lib/audit/external_status_check_changes_auditor_spec.rb'
    - 'ee/spec/lib/audit/group_merge_request_approval_setting_changes_auditor_spec.rb'
    - 'ee/spec/lib/audit/protected_branches_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/api/entities/analytics/code_review/merge_request_spec.rb'
    - 'ee/spec/lib/ee/api/entities/geo_node_status_spec.rb'
    - 'ee/spec/lib/ee/gitlab/analytics/cycle_analytics/aggregated/base_query_builder_spec.rb'
    - 'ee/spec/lib/ee/gitlab/application_context_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/admin_users_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/backfill_epic_cache_counts_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/backfill_project_statistics_storage_size_without_uploads_size_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/delete_invalid_epic_issues_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/fix_approval_project_rules_without_protected_branches_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/fix_security_scan_statuses_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/migrate_shared_vulnerability_scanners_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/migrate_vulnerabilities_feedback_to_vulnerabilities_state_transition_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/populate_approval_merge_request_rules_with_security_orchestration_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/populate_approval_project_rules_with_security_orchestration_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rule_check_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rules/commit_check_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/config/entry/bridge_spec.rb'
    - 'ee/spec/lib/ee/gitlab/git_access_project_spec.rb'
    - 'ee/spec/lib/ee/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'ee/spec/lib/ee/gitlab/import_export/repo_restorer_spec.rb'
    - 'ee/spec/lib/ee/gitlab/scim/group/provisioning_service_spec.rb'
    - 'ee/spec/lib/ee/gitlab/scim/params_parser_spec.rb'
    - 'ee/spec/lib/ee/gitlab/scim/provisioning_service_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage/service_ping_report_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/data_collector_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/distinct_stage_loader_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/summary/stage_time_summary_spec.rb'
    - 'ee/spec/lib/gitlab/audit/auditor_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/identity_linker_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/access_spec.rb'
    - 'ee/spec/lib/gitlab/auth/otp/session_enforcer_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/certificate_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/ldap_certificate_spec.rb'
    - 'ee/spec/lib/gitlab/ci/parsers/security/dast_spec.rb'
    - 'ee/spec/lib/gitlab/ci/pipeline/chain/config/content_spec.rb'
    - 'ee/spec/lib/gitlab/ci/project_config_spec.rb'
    - 'ee/spec/lib/gitlab/ci/reports/security/finding_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/Jobs/dast_default_branch_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_committer_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_insufficient_users_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_merge_request_author_spec.rb'
    - 'ee/spec/lib/gitlab/data_builder/vulnerability_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/indexer_spec.rb'
    - 'ee/spec/lib/gitlab/geo/log_cursor/daemon_spec.rb'
    - 'ee/spec/lib/gitlab/geo/replication/blob_downloader_spec.rb'
    - 'ee/spec/lib/gitlab/geo_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'ee/spec/lib/gitlab/insights/executors/dora_executor_spec.rb'
    - 'ee/spec/lib/gitlab/insights/loader_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/branch_components_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/package_licenses_spec.rb'
    - 'ee/spec/lib/gitlab/status_page_spec.rb'
    - 'ee/spec/lib/gitlab/zoekt/search_results_spec.rb'
    - 'ee/spec/lib/incident_management/oncall_shift_generator_spec.rb'
    - 'ee/spec/lib/omni_auth/strategies/group_saml_spec.rb'
    - 'ee/spec/requests/admin/impersonation_tokens_controller_spec.rb'
    - 'ee/spec/requests/api/analytics/product_analytics_spec.rb'
    - 'ee/spec/requests/api/analytics/project_deployment_frequency_spec.rb'
    - 'ee/spec/requests/api/api_spec.rb'
    - 'ee/spec/requests/api/branches_spec.rb'
    - 'ee/spec/requests/api/composer_packages_spec.rb'
    - 'ee/spec/requests/api/deployments_spec.rb'
    - 'ee/spec/requests/api/dora/metrics_spec.rb'
    - 'ee/spec/requests/api/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/ci/runner_spec.rb'
    - 'ee/spec/requests/api/graphql/group/dast_profile_schedule_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epic/epic_children_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epic/epic_issues_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/merge_request_reviewer_spec.rb'
    - 'ee/spec/requests/api/graphql/merge_requests/approval_state_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/issues/issue_move_list_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/lists/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/lists/update_limit_metrics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/update_epic_user_preferences_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/compliance_management/frameworks/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/compliance_management/frameworks/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/epic_tree/reorder_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/issues/set_weight_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/cadences/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/cadences/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/initialize_product_analytics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/lock_path_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/set_compliance_framework_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/quality_management/test_cases/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/requirements_management/update_requirement_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/create_issue_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/revert_to_detected_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/assign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/create_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/unassign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/group_boards_spec.rb'
    - 'ee/spec/requests/api/group_clusters_spec.rb'
    - 'ee/spec/requests/api/group_push_rule_spec.rb'
    - 'ee/spec/requests/api/groups_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/invitations_spec.rb'
    - 'ee/spec/requests/api/issue_links_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/members_spec.rb'
    - 'ee/spec/requests/api/merge_trains_spec.rb'
    - 'ee/spec/requests/api/namespaces_spec.rb'
    - 'ee/spec/requests/api/project_clusters_spec.rb'
    - 'ee/spec/requests/api/project_push_rule_spec.rb'
    - 'ee/spec/requests/api/projects_spec.rb'
    - 'ee/spec/requests/api/protected_environments_spec.rb'
    - 'ee/spec/requests/api/provider_identity_spec.rb'
    - 'ee/spec/requests/api/releases_spec.rb'
    - 'ee/spec/requests/api/search_spec.rb'
    - 'ee/spec/requests/api/settings_spec.rb'
    - 'ee/spec/requests/api/status_checks_spec.rb'
    - 'ee/spec/requests/api/visual_review_discussions_spec.rb'
    - 'ee/spec/requests/api/vulnerability_findings_spec.rb'
    - 'ee/spec/requests/ee/confirmations_controller_spec.rb'
    - 'ee/spec/requests/ee/projects/environments_controller_spec.rb'
    - 'ee/spec/requests/ee/projects/service_desk_controller_spec.rb'
    - 'ee/spec/requests/groups/epics/epic_links_controller_spec.rb'
    - 'ee/spec/requests/groups/epics/related_epic_links_controller_spec.rb'
    - 'ee/spec/requests/groups/protected_environments_controller_spec.rb'
    - 'ee/spec/requests/groups/settings/domain_verification_controller_spec.rb'
    - 'ee/spec/requests/groups/two_factor_auths_controller_spec.rb'
    - 'ee/spec/requests/smartcard_controller_spec.rb'
    - 'ee/spec/requests/users/identity_verification_controller_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/reconciliations/check_seat_usage_alerts_eligibility_service_spec.rb'
    - 'ee/spec/services/groups/compliance_report_csv_service_spec.rb'
    - 'ee/spec/services/groups/mark_for_deletion_service_spec.rb'
    - 'ee/spec/services/groups/restore_service_spec.rb'
    - 'ee/spec/services/issue_feature_flags/list_service_spec.rb'
    - 'ee/spec/services/merge_request_approval_settings/update_service_spec.rb'
    - 'ee/spec/services/protected_environments/create_service_spec.rb'
    - 'ee/spec/services/protected_environments/update_service_spec.rb'
    - 'ee/spec/services/quick_actions/interpret_service_spec.rb'
    - 'ee/spec/services/security/auto_fix_service_spec.rb'
    - 'ee/spec/services/security/findings/dismiss_service_spec.rb'
    - 'ee/spec/services/security/ingestion/finding_map_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/ingest_vulnerabilities/create_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/ingest_vulnerabilities_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/update_vulnerability_uuids_spec.rb'
    - 'ee/spec/services/security/merge_reports_service_spec.rb'
    - 'ee/spec/services/security/override_uuids_service_spec.rb'
    - 'ee/spec/services/security/report_summary_service_spec.rb'
    - 'ee/spec/services/security/scanned_resources_counting_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/create_pipeline_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/project_create_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/rule_schedule_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/scan_pipeline_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/sync_scan_result_policies_service_spec.rb'
    - 'ee/spec/services/security/store_scan_service_spec.rb'
    - 'ee/spec/services/security/vulnerability_counting_service_spec.rb'
    - 'ee/spec/services/users/email_verification/send_custom_confirmation_instructions_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/dismiss_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/findings/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/security_finding/create_issue_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/security_finding/create_merge_request_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/user_notes_count_service_spec.rb'
    - 'ee/spec/services/vulnerability_feedback/create_service_spec.rb'
    - 'ee/spec/services/vulnerability_merge_request_links/create_service_spec.rb'
    - 'lib/api/access_requests.rb'
    - 'lib/api/admin/broadcast_messages.rb'
    - 'lib/api/admin/plan_limits.rb'
    - 'lib/api/alert_management_alerts.rb'
    - 'lib/api/api.rb'
    - 'lib/api/applications.rb'
    - 'lib/api/branches.rb'
    - 'lib/api/bulk_imports.rb'
    - 'lib/api/ci/job_artifacts.rb'
    - 'lib/api/ci/jobs.rb'
    - 'lib/api/ci/pipeline_schedules.rb'
    - 'lib/api/ci/pipelines.rb'
    - 'lib/api/ci/resource_groups.rb'
    - 'lib/api/ci/runner.rb'
    - 'lib/api/ci/runners.rb'
    - 'lib/api/ci/triggers.rb'
    - 'lib/api/commit_statuses.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/concerns/packages/debian_distribution_endpoints.rb'
    - 'lib/api/concerns/packages/npm_endpoints.rb'
    - 'lib/api/container_repositories.rb'
    - 'lib/api/dependency_proxy.rb'
    - 'lib/api/deploy_keys.rb'
    - 'lib/api/deploy_tokens.rb'
    - 'lib/api/deployments.rb'
    - 'lib/api/entities/application.rb'
    - 'lib/api/entities/application_statistics.rb'
    - 'lib/api/entities/branch.rb'
    - 'lib/api/entities/ci/job.rb'
    - 'lib/api/entities/ci/job_basic.rb'
    - 'lib/api/entities/ci/job_request/response.rb'
    - 'lib/api/entities/ci/lint/result.rb'
    - 'lib/api/entities/ci/pipeline_basic.rb'
    - 'lib/api/entities/ci/secure_file.rb'
    - 'lib/api/entities/ci/variable.rb'
    - 'lib/api/entities/commit.rb'
    - 'lib/api/entities/conan_package/conan_package_snapshot.rb'
    - 'lib/api/entities/conan_package/conan_recipe_snapshot.rb'
    - 'lib/api/entities/container_registry.rb'
    - 'lib/api/entities/issue.rb'
    - 'lib/api/entities/issue_basic.rb'
    - 'lib/api/entities/npm_package.rb'
    - 'lib/api/entities/nuget/dependency_group.rb'
    - 'lib/api/entities/nuget/package_metadata.rb'
    - 'lib/api/entities/nuget/package_metadata_catalog_entry.rb'
    - 'lib/api/entities/nuget/packages_metadata.rb'
    - 'lib/api/entities/nuget/packages_metadata_item.rb'
    - 'lib/api/entities/nuget/search_result.rb'
    - 'lib/api/entities/nuget/search_results.rb'
    - 'lib/api/entities/packages/debian/distribution.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/entities/pull_mirror.rb'
    - 'lib/api/entities/release.rb'
    - 'lib/api/entities/resource_access_token.rb'
    - 'lib/api/entities/user_basic.rb'
    - 'lib/api/environments.rb'
    - 'lib/api/error_tracking/client_keys.rb'
    - 'lib/api/error_tracking/project_settings.rb'
    - 'lib/api/events.rb'
    - 'lib/api/feature_flags.rb'
    - 'lib/api/files.rb'
    - 'lib/api/go_proxy.rb'
    - 'lib/api/group_container_repositories.rb'
    - 'lib/api/group_labels.rb'
    - 'lib/api/group_packages.rb'
    - 'lib/api/groups.rb'
    - 'lib/api/helm_packages.rb'
    - 'lib/api/helpers.rb'
    - 'lib/api/helpers/custom_attributes.rb'
    - 'lib/api/helpers/events_helpers.rb'
    - 'lib/api/helpers/groups_helpers.rb'
    - 'lib/api/helpers/label_helpers.rb'
    - 'lib/api/helpers/merge_requests_helpers.rb'
    - 'lib/api/helpers/snippets_helpers.rb'
    - 'lib/api/internal/mail_room.rb'
    - 'lib/api/issue_links.rb'
    - 'lib/api/issues.rb'
    - 'lib/api/keys.rb'
    - 'lib/api/labels.rb'
    - 'lib/api/members.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/metrics/dashboard/annotations.rb'
    - 'lib/api/metrics/user_starred_dashboards.rb'
    - 'lib/api/milestone_responses.rb'
    - 'lib/api/notes.rb'
    - 'lib/api/nuget_project_packages.rb'
    - 'lib/api/pages.rb'
    - 'lib/api/pages_domains.rb'
    - 'lib/api/pagination_params.rb'
    - 'lib/api/personal_access_tokens.rb'
    - 'lib/api/project_container_repositories.rb'
    - 'lib/api/project_export.rb'
    - 'lib/api/project_import.rb'
    - 'lib/api/project_packages.rb'
    - 'lib/api/project_snippets.rb'
    - 'lib/api/project_templates.rb'
    - 'lib/api/projects.rb'
    - 'lib/api/protected_branches.rb'
    - 'lib/api/protected_tags.rb'
    - 'lib/api/releases.rb'
    - 'lib/api/remote_mirrors.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/resource_access_tokens.rb'
    - 'lib/api/settings.rb'
    - 'lib/api/snippets.rb'
    - 'lib/api/system_hooks.rb'
    - 'lib/api/tags.rb'
    - 'lib/api/terraform/state.rb'
    - 'lib/api/topics.rb'
    - 'lib/api/usage_data.rb'
    - 'lib/api/users.rb'
    - 'lib/backup/manager.rb'
    - 'lib/bitbucket_server/connection.rb'
    - 'lib/gem_extensions/active_record/disable_joins/associations/association_scope.rb'
    - 'lib/generators/gitlab/partitioning/foreign_keys_generator.rb'
    - 'lib/gitlab/alert_management/payload/prometheus.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/chat/command.rb'
    - 'lib/gitlab/ci/ansi2json/line.rb'
    - 'lib/gitlab/ci/config/entry/environment.rb'
    - 'lib/gitlab/ci/config/entry/imageable.rb'
    - 'lib/gitlab/ci/config/entry/job.rb'
    - 'lib/gitlab/ci/config/entry/product/parallel.rb'
    - 'lib/gitlab/ci/config/entry/pull_policy.rb'
    - 'lib/gitlab/ci/config/entry/retry.rb'
    - 'lib/gitlab/ci/config/entry/root.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule/changes.rb'
    - 'lib/gitlab/ci/config/extendable/entry.rb'
    - 'lib/gitlab/ci/lint.rb'
    - 'lib/gitlab/ci/status/stage/common.rb'
    - 'lib/gitlab/ci/trace/chunked_io.rb'
    - 'lib/gitlab/ci/variables/collection.rb'
    - 'lib/gitlab/ci/yaml_processor/result.rb'
    - 'lib/gitlab/config/entry/node.rb'
    - 'lib/gitlab/config_checker/external_database_checker.rb'
    - 'lib/gitlab/conflict/file.rb'
    - 'lib/gitlab/cross_project_access.rb'
    - 'lib/gitlab/data_builder/push.rb'
    - 'lib/gitlab/database/consistency_checker.rb'
    - 'lib/gitlab/database/count/reltuples_count_strategy.rb'
    - 'lib/gitlab/database/load_balancing/configuration.rb'
    - 'lib/gitlab/database/load_balancing/service_discovery.rb'
    - 'lib/gitlab/database/migration_helpers.rb'
    - 'lib/gitlab/database/migrations/base_background_runner.rb'
    - 'lib/gitlab/database/partitioning/detached_partition_dropper.rb'
    - 'lib/gitlab/database/partitioning/partition_manager.rb'
    - 'lib/gitlab/database/partitioning/replace_table.rb'
    - 'lib/gitlab/database/partitioning_migration_helpers/table_management_helpers.rb'
    - 'lib/gitlab/diff/diff_refs.rb'
    - 'lib/gitlab/diff/file_collection/base.rb'
    - 'lib/gitlab/diff/file_collection/paginated_merge_request_diff.rb'
    - 'lib/gitlab/diff/line.rb'
    - 'lib/gitlab/diff/lines_unfolder.rb'
    - 'lib/gitlab/diff/parser.rb'
    - 'lib/gitlab/diff/position.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file.rb'
    - 'lib/gitlab/diff/suggestions_parser.rb'
    - 'lib/gitlab/email/hook/delivery_metrics_observer.rb'
    - 'lib/gitlab/error_tracking/detailed_error.rb'
    - 'lib/gitlab/external_authorization/access.rb'
    - 'lib/gitlab/gfm/reference_rewriter.rb'
    - 'lib/gitlab/git/blob.rb'
    - 'lib/gitlab/git/conflict/file.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/gitaly_client/object_pool_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/remote_service.rb'
    - 'lib/gitlab/gitaly_client/repository_service.rb'
    - 'lib/gitlab/gitaly_client/util.rb'
    - 'lib/gitlab/github_gists_import/importer/gist_importer.rb'
    - 'lib/gitlab/github_import/importer/issue_importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_importer.rb'
    - 'lib/gitlab/github_import/representation/issue.rb'
    - 'lib/gitlab/github_import/representation/issue_event.rb'
    - 'lib/gitlab/github_import/representation/note.rb'
    - 'lib/gitlab/github_import/representation/protected_branch.rb'
    - 'lib/gitlab/github_import/representation/pull_request.rb'
    - 'lib/gitlab/gl_repository/repo_type.rb'
    - 'lib/gitlab/gon_helper.rb'
    - 'lib/gitlab/gpg.rb'
    - 'lib/gitlab/graphql/deprecations/deprecation.rb'
    - 'lib/gitlab/graphql/expose_permissions.rb'
    - 'lib/gitlab/graphql/mount_mutation.rb'
    - 'lib/gitlab/graphql/negatable_arguments.rb'
    - 'lib/gitlab/http_connection_adapter.rb'
    - 'lib/gitlab/import_export/base/relation_object_saver.rb'
    - 'lib/gitlab/import_export/importer.rb'
    - 'lib/gitlab/import_export/members_mapper.rb'
    - 'lib/gitlab/import_export/project/tree_restorer.rb'
    - 'lib/gitlab/import_export/snippet_repo_saver.rb'
    - 'lib/gitlab/import_export/snippets_repo_restorer.rb'
    - 'lib/gitlab/import_export/snippets_repo_saver.rb'
    - 'lib/gitlab/issuable/clone/copy_resource_events_service.rb'
    - 'lib/gitlab/mail_room.rb'
    - 'lib/gitlab/markdown_cache/redis/store.rb'
    - 'lib/gitlab/memory/reports_uploader.rb'
    - 'lib/gitlab/memory/watchdog/configurator.rb'
    - 'lib/gitlab/metrics/requests_rack_middleware.rb'
    - 'lib/gitlab/other_markup.rb'
    - 'lib/gitlab/project_authorizations.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/request_context.rb'
    - 'lib/gitlab/routing.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/seeders/ci/runner/runner_fleet_pipeline_seeder.rb'
    - 'lib/gitlab/setup_helper.rb'
    - 'lib/gitlab/sidekiq_config/worker.rb'
    - 'lib/gitlab/spamcheck/client.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/database_metric.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/usage_data_counters/ci_template_unique_counter.rb'
    - 'lib/gitlab/usage_data_counters/merge_request_activity_unique_counter.rb'
    - 'lib/peek/views/detailed_view.rb'
    - 'lib/peek/views/redis_detailed.rb'
    - 'lib/tasks/gems.rake'
    - 'lib/tasks/gitlab/feature_categories.rake'
    - 'lib/tasks/gitlab/seed.rake'
    - 'lib/tasks/gitlab/seed/runner_fleet.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/uploads/sanitize.rake'
    - 'rubocop/cop/gitlab/finder_with_find_by.rb'
    - 'rubocop/cop/qa/ambiguous_page_object_name.rb'
    - 'rubocop/cop/rspec/modify_sidekiq_middleware.rb'
    - 'scripts/packages/automated_cleanup.rb'
    - 'scripts/rubocop-parse'
    - 'sidekiq_cluster/sidekiq_cluster.rb'
    - 'spec/benchmarks/banzai_benchmark.rb'
    - 'spec/components/previews/pajamas/alert_component_preview.rb'
    - 'spec/components/previews/pajamas/banner_component_preview.rb'
    - 'spec/components/previews/pajamas/button_component_preview.rb'
    - 'spec/graphql/features/authorization_spec.rb'
    - 'spec/initializers/secret_token_spec.rb'
    - 'spec/lib/api/every_api_endpoint_spec.rb'
    - 'spec/lib/atlassian/jira_connect/client_spec.rb'
    - 'spec/lib/backup/dump/postgres_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/bulk_imports/common/pipelines/lfs_objects_pipeline_spec.rb'
    - 'spec/lib/container_registry/blob_spec.rb'
    - 'spec/lib/container_registry/migration_spec.rb'
    - 'spec/lib/container_registry/tag_spec.rb'
    - 'spec/lib/error_tracking/sentry_client/issue_spec.rb'
    - 'spec/lib/feature/definition_spec.rb'
    - 'spec/lib/feature/gitaly_spec.rb'
    - 'spec/lib/feature_spec.rb'
    - 'spec/lib/generators/gitlab/partitioning/foreign_keys_generator_spec.rb'
    - 'spec/lib/gitlab/alert_management/payload/prometheus_spec.rb'
    - 'spec/lib/gitlab/analytics/cycle_analytics/aggregated/base_query_builder_spec.rb'
    - 'spec/lib/gitlab/analytics/date_filler_spec.rb'
    - 'spec/lib/gitlab/application_context_spec.rb'
    - 'spec/lib/gitlab/application_rate_limiter_spec.rb'
    - 'spec/lib/gitlab/auth/otp/strategies/forti_authenticator/manual_otp_spec.rb'
    - 'spec/lib/gitlab/auth/otp/strategies/forti_authenticator/push_otp_spec.rb'
    - 'spec/lib/gitlab/auth/otp/strategies/forti_token_cloud_spec.rb'
    - 'spec/lib/gitlab/auth/saml/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/importer_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/project_creator_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/wiki_formatter_spec.rb'
    - 'spec/lib/gitlab/cache/ci/project_pipeline_status_spec.rb'
    - 'spec/lib/gitlab/changelog/config_spec.rb'
    - 'spec/lib/gitlab/checks/changes_access_spec.rb'
    - 'spec/lib/gitlab/checks/single_change_access_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/command_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/populate_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/skip_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/validate/abilities_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/seed/build_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline_object_hierarchy_spec.rb'
    - 'spec/lib/gitlab/ci/project_config_spec.rb'
    - 'spec/lib/gitlab/ci/reports/security/finding_key_spec.rb'
    - 'spec/lib/gitlab/ci/status/build/factory_spec.rb'
    - 'spec/lib/gitlab/ci/status/build/play_spec.rb'
    - 'spec/lib/gitlab/ci/status/external/factory_spec.rb'
    - 'spec/lib/gitlab/ci/status/stage/factory_spec.rb'
    - 'spec/lib/gitlab/ci/trace/checksum_spec.rb'
    - 'spec/lib/gitlab/ci/variables/collection_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/gitlab/conan_token_spec.rb'
    - 'spec/lib/gitlab/config_checker/external_database_checker_spec.rb'
    - 'spec/lib/gitlab/cross_project_access/class_methods_spec.rb'
    - 'spec/lib/gitlab/cross_project_access_spec.rb'
    - 'spec/lib/gitlab/data_builder/push_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/parser/gemfile_spec.rb'
    - 'spec/lib/gitlab/email/hook/delivery_metrics_observer_spec.rb'
    - 'spec/lib/gitlab/email/hook/smime_signature_interceptor_spec.rb'
    - 'spec/lib/gitlab/error_tracking/processor/context_payload_processor_spec.rb'
    - 'spec/lib/gitlab/etag_caching/router/graphql_spec.rb'
    - 'spec/lib/gitlab/external_authorization/client_spec.rb'
    - 'spec/lib/gitlab/external_authorization/logger_spec.rb'
    - 'spec/lib/gitlab/external_authorization_spec.rb'
    - 'spec/lib/gitlab/gfm/uploads_rewriter_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/git/tree_spec.rb'
    - 'spec/lib/gitlab/git_access_project_spec.rb'
    - 'spec/lib/gitlab/git_access_spec.rb'
    - 'spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/commit_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/operation_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/ref_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client_spec.rb'
    - 'spec/lib/gitlab/github_gists_import/importer/gist_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/issue_event_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/labels_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/milestones_importer_spec.rb'
    - 'spec/lib/gitlab/graphql/query_analyzers/ast/logger_analyzer_spec.rb'
    - 'spec/lib/gitlab/health_checks/redis_spec.rb'
    - 'spec/lib/gitlab/i18n/po_linter_spec.rb'
    - 'spec/lib/gitlab/instrumentation_helper_spec.rb'
    - 'spec/lib/gitlab/legacy_github_import/wiki_formatter_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/extension_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/store_spec.rb'
    - 'spec/lib/gitlab/memory/reports_uploader_spec.rb'
    - 'spec/lib/gitlab/memory/upload_and_cleanup_reports_spec.rb'
    - 'spec/lib/gitlab/memory/watchdog/configurator_spec.rb'
    - 'spec/lib/gitlab/metrics/subscribers/action_view_spec.rb'
    - 'spec/lib/gitlab/metrics/web_transaction_spec.rb'
    - 'spec/lib/gitlab/middleware/multipart_spec.rb'
    - 'spec/lib/gitlab/pagination_delegate_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/lib/gitlab/profiler_spec.rb'
    - 'spec/lib/gitlab/redis/sidekiq_status_spec.rb'
    - 'spec/lib/gitlab/repository_cache/preloader_spec.rb'
    - 'spec/lib/gitlab/repository_cache_spec.rb'
    - 'spec/lib/gitlab/search_context/builder_spec.rb'
    - 'spec/lib/gitlab/seeders/ci/runner/runner_fleet_seeder_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/client_spec.rb'
    - 'spec/lib/gitlab/sidekiq_migrate_jobs_spec.rb'
    - 'spec/lib/gitlab/sidekiq_queue_spec.rb'
    - 'spec/lib/gitlab/slash_commands/command_spec.rb'
    - 'spec/lib/gitlab/slash_commands/deploy_spec.rb'
    - 'spec/lib/gitlab/slash_commands/issue_move_spec.rb'
    - 'spec/lib/gitlab/spamcheck/client_spec.rb'
    - 'spec/lib/gitlab/suggestions/commit_message_spec.rb'
    - 'spec/lib/gitlab/suggestions/file_suggestion_spec.rb'
    - 'spec/lib/gitlab/suggestions/suggestion_set_spec.rb'
    - 'spec/lib/gitlab/tracking/destinations/snowplow_spec.rb'
    - 'spec/lib/gitlab/utils/lazy_attributes_spec.rb'
    - 'spec/lib/gitlab/workhorse_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/peek/views/detailed_view_spec.rb'
    - 'spec/lib/security/weak_passwords_spec.rb'
    - 'spec/lib/sidebars/projects/menus/repository_menu_spec.rb'
    - 'spec/lib/uploaded_file_spec.rb'
    - 'spec/requests/admin/applications_controller_spec.rb'
    - 'spec/requests/admin/impersonation_tokens_controller_spec.rb'
    - 'spec/requests/api/access_requests_spec.rb'
    - 'spec/requests/api/admin/instance_clusters_spec.rb'
    - 'spec/requests/api/admin/sidekiq_spec.rb'
    - 'spec/requests/api/api_spec.rb'
    - 'spec/requests/api/badges_spec.rb'
    - 'spec/requests/api/branches_spec.rb'
    - 'spec/requests/api/clusters/agent_tokens_spec.rb'
    - 'spec/requests/api/clusters/agents_spec.rb'
    - 'spec/requests/api/commit_statuses_spec.rb'
    - 'spec/requests/api/conan_instance_packages_spec.rb'
    - 'spec/requests/api/container_registry_event_spec.rb'
    - 'spec/requests/api/environments_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/graphql/ci/instance_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/jobs_spec.rb'
    - 'spec/requests/api/graphql/ci/pipelines_spec.rb'
    - 'spec/requests/api/graphql/ci/project_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/runner_spec.rb'
    - 'spec/requests/api/graphql/ci/runners_spec.rb'
    - 'spec/requests/api/graphql/current_user_todos_spec.rb'
    - 'spec/requests/api/graphql/environments/deployments_spec.rb'
    - 'spec/requests/api/graphql/gitlab_schema_spec.rb'
    - 'spec/requests/api/graphql/group/group_members_spec.rb'
    - 'spec/requests/api/graphql/milestone_spec.rb'
    - 'spec/requests/api/graphql/mutations/container_expiration_policy/update_spec.rb'
    - 'spec/requests/api/graphql/mutations/jira_import/import_users_spec.rb'
    - 'spec/requests/api/graphql/mutations/jira_import/start_spec.rb'
    - 'spec/requests/api/graphql/mutations/metrics/dashboard/annotations/create_spec.rb'
    - 'spec/requests/api/graphql/packages/conan_spec.rb'
    - 'spec/requests/api/graphql/tasks/task_completion_status_spec.rb'
    - 'spec/requests/api/graphql/user_query_spec.rb'
    - 'spec/requests/api/group_clusters_spec.rb'
    - 'spec/requests/api/group_labels_spec.rb'
    - 'spec/requests/api/groups_spec.rb'
    - 'spec/requests/api/integrations_spec.rb'
    - 'spec/requests/api/internal/base_spec.rb'
    - 'spec/requests/api/internal/container_registry/migration_spec.rb'
    - 'spec/requests/api/invitations_spec.rb'
    - 'spec/requests/api/issue_links_spec.rb'
    - 'spec/requests/api/issues/get_group_issues_spec.rb'
    - 'spec/requests/api/issues/get_project_issues_spec.rb'
    - 'spec/requests/api/issues/issues_spec.rb'
    - 'spec/requests/api/issues/post_projects_issues_spec.rb'
    - 'spec/requests/api/labels_spec.rb'
    - 'spec/requests/api/members_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/notes_spec.rb'
    - 'spec/requests/api/nuget_group_packages_spec.rb'
    - 'spec/requests/api/oauth_tokens_spec.rb'
    - 'spec/requests/api/performance_bar_spec.rb'
    - 'spec/requests/api/personal_access_tokens_spec.rb'
    - 'spec/requests/api/project_clusters_spec.rb'
    - 'spec/requests/api/project_container_repositories_spec.rb'
    - 'spec/requests/api/project_events_spec.rb'
    - 'spec/requests/api/project_hooks_spec.rb'
    - 'spec/requests/api/project_import_spec.rb'
    - 'spec/requests/api/project_templates_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/protected_tags_spec.rb'
    - 'spec/requests/api/release/links_spec.rb'
    - 'spec/requests/api/releases_spec.rb'
    - 'spec/requests/api/resource_access_tokens_spec.rb'
    - 'spec/requests/api/settings_spec.rb'
    - 'spec/requests/api/suggestions_spec.rb'
    - 'spec/requests/api/tags_spec.rb'
    - 'spec/requests/api/terraform/state_spec.rb'
    - 'spec/requests/api/todos_spec.rb'
    - 'spec/requests/api/users_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/jwt_controller_spec.rb'
    - 'spec/requests/lfs_http_spec.rb'
    - 'spec/requests/oauth_tokens_spec.rb'
    - 'spec/requests/rack_attack_global_spec.rb'
    - 'spec/requests/recursive_webhook_detection_spec.rb'
    - 'spec/requests/users/group_callouts_spec.rb'
    - 'spec/requests/users/project_callouts_spec.rb'
    - 'spec/tasks/cache_rake_spec.rb'
    - 'spec/tasks/gitlab/cleanup_rake_spec.rb'
    - 'spec/tasks/gitlab/db/decomposition/rollback/bump_ci_sequences_rake_spec.rb'
    - 'spec/tasks/gitlab/db/truncate_legacy_tables_rake_spec.rb'
    - 'spec/tasks/gitlab/sidekiq_rake_spec.rb'
    - 'spec/tooling/danger/sidekiq_queues_spec.rb'
    - 'spec/tooling/graphql/docs/renderer_spec.rb'
    - 'tooling/danger/suggestor.rb'
